Bug 864016 - Pushing XLIFF files silently strips entity references and following text
Pushing XLIFF files silently strips entity references and following text
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity urgent
: ---
: 1.7
Assigned To: Sean Flanigan
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 07:24 EDT by Sean Flanigan
Modified: 2012-11-29 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 18:29:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-10-08 07:24:01 EDT
Description of problem:
Any string in an XLIFF file which includes an entity reference (eg &) will be silently corrupted, by omitting the entity and any following text.

Version-Release number of selected component (if applicable):
1.7.1
Comment 2 Ding-Yi Chen 2012-10-23 03:27:18 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121023-1429)
and zanata maven client 1.8.0-SNAPSHOT and 1.7.5-SNAPSHOT

Note You need to log in before you can comment on or make changes to this bug.